Package org.kie.api.pmml

## Class AbstractOutput<T>

- java.lang.Object
- - org.kie.api.pmml.AbstractOutput<T>

- All Implemented Interfaces:
    `PMML4Output<T>`
  Direct Known Subclasses:
    `DoubleFieldOutput`, `IntegerFieldOutput`, `StringFieldOutput`

      public abstract class AbstractOutput<T>
      extends java.lang.Object
      implements PMML4Output<T>

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected java.lang.Double` | `weight` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `AbstractOutput()` |
    `AbstractOutput​(java.lang.String correlationId, java.lang.String name)` |
    `AbstractOutput​(java.lang.String correlationId, java.lang.String name, java.lang.String displayValue, java.lang.Double weight)` |
    `AbstractOutput​(java.lang.String correlationId, java.lang.String segmentationId, java.lang.String segmentId, java.lang.String name)` |
    `AbstractOutput​(java.lang.String correlationId, java.lang.String segmentationId, java.lang.String segmentId, java.lang.String name, java.lang.String displayValue, java.lang.Double weight)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `equals​(java.lang.Object obj)` |
    `java.lang.String` | `getCorrelationId()` |
    `java.lang.String` | `getDisplayValue()` |
    `java.lang.String` | `getName()` |
    `java.lang.String` | `getSegmentationId()` |
    `java.lang.String` | `getSegmentId()` |
    `java.lang.Double` | `getWeight()` |
    `int` | `hashCode()` |
    `void` | `setCorrelationId​(java.lang.String correlationId)` |
    `void` | `setDisplayValue​(java.lang.String displayValue)` |
    `void` | `setName​(java.lang.String name)` |
    `void` | `setSegmentationId​(java.lang.String segmentationId)` |
    `void` | `setSegmentId​(java.lang.String segmentId)` |
    `void` | `setWeight​(java.lang.Double weight)` |
    `java.lang.String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.kie.api.pmml.PMML4Output

      `getValue, setValue`

- - ### Field Detail

    - #### weight

          protected java.lang.Double weight

  - ### Constructor Detail

    - #### AbstractOutput

          public AbstractOutput()

    - #### AbstractOutput

          public AbstractOutput​(java.lang.String correlationId,
                                java.lang.String name)

    - #### AbstractOutput

          public AbstractOutput​(java.lang.String correlationId,
                                java.lang.String segmentationId,
                                java.lang.String segmentId,
                                java.lang.String name)

    - #### AbstractOutput

          public AbstractOutput​(java.lang.String correlationId,
                                java.lang.String name,
                                java.lang.String displayValue,
                                java.lang.Double weight)

    - #### AbstractOutput

          public AbstractOutput​(java.lang.String correlationId,
                                java.lang.String segmentationId,
                                java.lang.String segmentId,
                                java.lang.String name,
                                java.lang.String displayValue,
                                java.lang.Double weight)

  - ### Method Detail

    - #### getCorrelationId

          public java.lang.String getCorrelationId()

      Specified by:
        `getCorrelationId` in interface `PMML4Output<T>`

    - #### setCorrelationId

          public void setCorrelationId​(java.lang.String correlationId)

      Specified by:
        `setCorrelationId` in interface `PMML4Output<T>`

    - #### getSegmentationId

          public java.lang.String getSegmentationId()

      Specified by:
        `getSegmentationId` in interface `PMML4Output<T>`

    - #### setSegmentationId

          public void setSegmentationId​(java.lang.String segmentationId)

      Specified by:
        `setSegmentationId` in interface `PMML4Output<T>`

    - #### getSegmentId

          public java.lang.String getSegmentId()

      Specified by:
        `getSegmentId` in interface `PMML4Output<T>`

    - #### setSegmentId

          public void setSegmentId​(java.lang.String segmentId)

      Specified by:
        `setSegmentId` in interface `PMML4Output<T>`

    - #### getName

          public java.lang.String getName()

      Specified by:
        `getName` in interface `PMML4Output<T>`

    - #### setName

          public void setName​(java.lang.String name)

      Specified by:
        `setName` in interface `PMML4Output<T>`

    - #### getDisplayValue

          public java.lang.String getDisplayValue()

      Specified by:
        `getDisplayValue` in interface `PMML4Output<T>`

    - #### setDisplayValue

          public void setDisplayValue​(java.lang.String displayValue)

      Specified by:
        `setDisplayValue` in interface `PMML4Output<T>`

    - #### getWeight

          public java.lang.Double getWeight()

      Specified by:
        `getWeight` in interface `PMML4Output<T>`

    - #### setWeight

          public void setWeight​(java.lang.Double weight)

      Specified by:
        `setWeight` in interface `PMML4Output<T>`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### equals

          public boolean equals​(java.lang.Object obj)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`